//////////
//
//	File:		QTBroadcast.h
//
//	Contains:	Code for broadcasting QuickTime movies.
//
//	Written by:	Tim Monroe
//
//	Copyright:	 2001 by Apple Computer, Inc., all rights reserved.
//
//	Change History (most recent first):
//
//	   <1>	 	04/11/01	rtm		first file
//	   
//////////

//////////
//
// header files
//
//////////

#include "ComApplication.h"

#if TARGET_OS_MAC
#include "MacFramework.h"
#endif

#if TARGET_OS_WIN32
#include "WinFramework.h"
#endif

#ifndef __QUICKTIMESTREAMING__
#include <QuickTimeStreaming.h>
#endif


//////////
//
// compiler defines
//
//////////

#if TARGET_OS_WIN32
#define GetPortBounds(port,rectptr)			(*(rectptr)=port->portRect)
#endif


//////////
//
// constants
//
//////////

#define kMonitorDLOGID						1000
#define kMonitorUserItemID					1
#define kMonitorButtonID					2

#define kDefaultPresTimeScale				600


//////////
//
// function prototypes
//
//////////

OSErr							QTBC_Init (void);
void							QTBC_Stop (void);

OSErr							QTBC_SetupPresentation (void);

OSErr							QTBC_StartBroadcasting (void);
OSErr							QTBC_PauseBroadcasting (void);
OSErr							QTBC_StopBroadcasting (void);

static PASCAL_RTN ComponentResult		
								QTBC_NotificationProc (ComponentResult theErr, OSType theNotificationType, void *theNotificationParams, void *theRefCon);

DialogPtr						QTBC_CreateMonitorWindow (void);
PASCAL_RTN void					QTBC_UserItemProcedure (DialogPtr theDialog, short theItem);
void							QTBC_HandleMonitorWindowEvents (DialogPtr theDialog, short theItemHit);
